org.jboss.netty.handler.codec.spdy

## Class DefaultSpdyPingFrame

- java.lang.Object
- - org.jboss.netty.handler.codec.spdy.DefaultSpdyPingFrame

- All Implemented Interfaces:
    SpdyPingFrame

      public class DefaultSpdyPingFrame
      extends Object
      implements SpdyPingFrame

  The default `SpdyPingFrame` implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSpdyPingFrame(int id)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` Returns the ID of this frame.
    `int` | `getID()`
    `void` | `setId(int id)` Sets the ID of this frame.
    `void` | `setID(int id)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSpdyPingFrame

          public DefaultSpdyPingFrame(int id)

      Creates a new instance.
      Parameters:
        `id` - the unique ID of this frame

  - ### Method Detail

    - #### getID

          public int getID()

      Specified by:
        `getID` in interface `SpdyPingFrame`

    - #### getId

          public int getId()

      Description copied from interface: `SpdyPingFrame`
      Returns the ID of this frame.
      Specified by:
        `getId` in interface `SpdyPingFrame`

    - #### setID

          public void setID(int id)

      Specified by:
        `setID` in interface `SpdyPingFrame`

    - #### setId

          public void setId(int id)

      Description copied from interface: `SpdyPingFrame`
      Sets the ID of this frame.
      Specified by:
        `setId` in interface `SpdyPingFrame`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.